ValueErrorException Class Reference

Class to allow us to throw a `ValueError` from C++ and have it make it back to Python. More...

`#include <Exceptions.h>`

Inheritance diagram for ValueErrorException:

## Public Member Functions

| ValueErrorException (const std::string &i)
| ValueErrorException (const char *msg)
std::string | message () const
| ~ValueErrorException () throw ()

## Detailed Description

Class to allow us to throw a `ValueError` from C++ and have it make it back to Python.

Definition at line 33 of file Exceptions.h.

## Constructor & Destructor Documentation

## ValueErrorException() [1/2]

ValueErrorException::ValueErrorException | ( | const std::string & | i | ) |

inline

Definition at line 35 of file Exceptions.h.

## ValueErrorException() [2/2]

ValueErrorException::ValueErrorException | ( | const char * | msg | ) |

inline

Definition at line 37 of file Exceptions.h.

## ~ValueErrorException()

ValueErrorException::~ValueErrorException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 40 of file Exceptions.h.

## Member Function Documentation

## message()

std::string ValueErrorException::message | ( |  | ) | const

inline

Definition at line 39 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h